Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.components
Class ComponentTableBuilder

    java.lang.Object
      com.servingxml.util.xml.AbstractReceiver
          com.servingxml.ioc.components.ComponentTableBuilder

All Implemented Interfaces:
  Receiver

    public class ComponentTableBuilder

extends AbstractReceiver
implements Receiver

Field Summary

Fields inherited from interface com.servingxml.util.xml.Receiver
`UNDEFINED_SYMBOL`

Constructor Summary
`ComponentTableBuilder(Name name)`
`ComponentTableBuilder(Name name, ComponentTable componentTable)`
`ComponentTableBuilder(Name name, Receiver parent)`

Method Summary
`void` | `bind(ReceiverContext context)`
`void` | `childReceived(int symbol)`
`ComponentTable` | `getComponentTable()`
`protected void` | `selfReceived(ReceiverContext context)`

Methods inherited from class com.servingxml.util.xml.AbstractReceiver
`bind, characters, endElement, getAttributeValue, getName, getSymbol, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.xml.Receiver
`characters, endElement, getAttributeValue, getName, getSymbol, startElement`

Constructor Detail

### ComponentTableBuilder

    public ComponentTableBuilder(Name name,
                                 ComponentTable componentTable)

### ComponentTableBuilder

    public ComponentTableBuilder(Name name,
                                 Receiver parent)

### ComponentTableBuilder

    public ComponentTableBuilder(Name name)

Method Detail

### bind

    public void bind(ReceiverContext context)

  Specified by:
    `bind` in interface `Receiver`

### selfReceived

    protected void selfReceived(ReceiverContext context)

  Overrides:
    `selfReceived` in class `AbstractReceiver`

### childReceived

    public void childReceived(int symbol)

  Specified by:
    `childReceived` in interface `Receiver`
  Overrides:
    `childReceived` in class `AbstractReceiver`

### getComponentTable

    public ComponentTable getComponentTable()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD